Skip to main content

Get Entity Guide Engagement

POST 

/guide/v1/:entity_type/:entity_id/guide-engagement

Get entity's engagement for a set of guide ids

Required Permissions:

  • For any entity (including themselves) any of: guide:*, guide:engage:read:any, guide:engage:write:any

  • For the entity themselves any of: guide:engage:read:self, guide:engage:write:self

Request

Path Parameters

    entity_type EntityTyperequired

    Possible values: [player]

    entity_id Entity Idrequired

Body

required

    guides uuid[]

    Possible values: >= 1, <= 100

    Default value: ``

Responses

Successful Response

Schema

    results

    object[]

  • Array [

  • guide_id uuidrequired
    rating Rating (integer)

    Possible values: >= -1 and <= 1

    Default value: 0

    favorited_at

    object

    anyOf

    Datetime that enforces that a timezone is given. Unix timestamps are allowed and forced into the UTC time zone

    string

  • ]

Loading...